net.i2p.time

## Interface Timestamper.UpdateListener

- All Known Implementing Classes:
    Clock, RouterClock
  Enclosing class:
    Timestamper

      public static interface Timestamper.UpdateListener

  Interface to receive update notifications for when we query the time Only used by Clock. stratum parameter added in 0.7.12. If there were any users outside of the tree, this broke compatibility, sorry.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setNow(long now, int stratum)`

- - ### Method Detail

    - #### setNow

          void setNow(long now,
                    int stratum)

      Parameters:
        `stratum` - 1-15, 1 being the best (added in 0.7.12)